%global srcname p1_tls
# Erlang packages don't seem to ship debug files, as the build process does not generate them
%global debug_package %{nil}


Name: erlang-%{srcname}
Version: 1.0.0
Release: 2%{?dist}
Summary: TLS / SSL native driver for Erlang / Elixir

License: GPLv2+
URL: https://github.com/processone/tls/
Source0: https://github.com/processone/tls/archive/%{version}.tar.gz
# Set the default cipher list to PROFILE=SYSTEM.
# https://fedoraproject.org/wiki/Packaging:CryptoPolicies
Patch0: crypto_policy.patch

Requires: erlang-erts
BuildRequires: erlang-rebar
BuildRequires: erlang-rpm-macros
BuildRequires: openssl-devel


%description
TLS / SSL native driver for Erlang / Elixir. This is used by ejabberd.


%prep
%setup -n tls-%{version} -q
%patch0 -p0


%build
%rebar_compile


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/ebin
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib

install -pm644 ebin/* $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/ebin/
install -pm755 priv/lib/* $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/


%files
%license COPYING
%doc README.md
%{_erllibdir}/%{srcname}-%{version}


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 17 2016 Jeremy Cline <jeremy@jcline.org> - 1.0.0-1
- Initial release.
